<script setup lang="ts">
import { Person } from '/@src/utils/types'

const pageTitle = useVueroContext<string>('page-title')
onMounted(() => {
  pageTitle.value = '신청내역'
})

useHead({
  title: '소액계약관리 - 신청내역',
})

const apprLine = ref<Person[]>([])

const onClick = () => {
  console.log(apprLine.value[0].sabun)
}
</script>

<template>
  <div
    class="page-content is-relative tabs-wrapper is-slider is-squared is-inverted is-navbar-lg"
  >
    <!--  default: 일반결재, (코스트 센터 기준 운영부서) control : 통제, (코스트 센터 기준 운영부서) collabo : 협조  -->
    <VApproval v-model="apprLine" apprMode="control"/>
    <VButton @click.prevent="onClick">클릭</VButton>
  </div>
</template>
